@cryptotaxi247 / netdata-1 / commits / 19aff5623

Bump the version of Coverity we are using to the latest. (#12398)

Also, report when we actually managed to download something, but the name did not match what was expected.

Austin S. Hemmelgarn committed Mar 14, 2022 at 10:44 UTC 19aff5623c664be1999543c06655013a1fa67716
1 file changed +4 -2
coverity-scan.sh
+4 -2
@@ -21,7 +21,7 @@
21 # COVERITY_SCAN_TOKEN="TOKEN taken from Coverity site"
22 #
23 # the absolute path of the cov-build - optional
24 -# COVERITY_BUILD_PATH="/opt/cov-analysis-linux64-2019.03/bin/cov-build"
24 +# COVERITY_BUILD_PATH="/opt/cov-analysis-linux64-2021.12/bin/cov-build"
25 #
26 # when set, the script will print on screen the curl command that submits the build to coverity
27 # this includes the token, so the default is not to print it.
@@ -40,7 +40,7 @@ set -e
40 INSTALL_DIR="/opt"
41
42 # the version of coverity to use
43 -COVERITY_BUILD_VERSION="${COVERITY_BUILD_VERSION:-cov-analysis-linux64-2020.09}"
43 +COVERITY_BUILD_VERSION="${COVERITY_BUILD_VERSION:-cov-analysis-linux64-2021.12}"
44
45 # TODO: For some reasons this does not fully load on Debian 10 (Haven't checked if it happens on other distros yet), it breaks
46 source packaging/installer/functions.sh || echo "Failed to fully load the functions library"
@@ -147,6 +147,8 @@ installit() {
147 run sudo tar -z -x -f "${TMP_DIR}/${COVERITY_BUILD_VERSION}.tar.gz" || exit 1
148 rm "${TMP_DIR}/${COVERITY_BUILD_VERSION}.tar.gz"
149 export PATH=${PATH}:${INSTALL_DIR}/${COVERITY_BUILD_VERSION}/bin/
150 + elif find . -name "*.tar.gz" > /dev/null 2>&1; then
151 + fatal "Downloaded coverity tool tarball does not appear to be the version we were expecting, exiting."
152 else
153 fatal "Failed to download coverity tool tarball!"
154 fi